<app-navbar></app-navbar>
<div layout="row" layout-align="space-between center" flex class="layout-align-space-between-center layout-row flex">
    <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search Technology">
    </mat-form-field>&nbsp;&nbsp;

    <button class="btn-secondary" mat-mini-fab matTooltip="Add a Technology">
        <mat-icon routerLink="/add-technology" aria-label="add technology">add</mat-icon>
    </button>
</div>

<div class="basic-container mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort matSortActive="id" matSortDirection="desc" matSortDisableClear>

        <!-- UserName Column -->
        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Technology</th>
            <td mat-cell *matCellDef="let tech">{{ tech.name }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="termsOfConditions">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Terms of Conditions</th>
            <td mat-cell *matCellDef="let tech">{{ tech.termsOfConditions }}</td>
        </ng-container>

        <ng-container matColumnDef="duration">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Duration(in Months)</th>
            <td mat-cell *matCellDef="let tech">{{ tech.duration }}</td>
        </ng-container>

        <ng-container matColumnDef="prerequisites">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Pre-Requisites</th>
            <td mat-cell *matCellDef="let tech">{{ tech.prerequisites }}</td>
        </ng-container>

        <!-- Action Column -->
        <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Action</th>
            <td mat-cell *matCellDef="let tech">
                <button mat-icon-button color="accent" matTooltip="edit a technology">
                    <mat-icon (click)="editTechnology(tech.id)" aria-label="edit technology">edit</mat-icon>
                </button>
                <button mat-icon-button color="warn" matTooltip="delete a technology">
                    <mat-icon (click)="deleteTechnology(tech)" aria-label="delete technology">delete_forever</mat-icon>
                </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>
    <mat-paginator [pageSizeOptions]="[5, 10]" showFirstLastButtons></mat-paginator>
</div>